Name:           oddjob-gpupdate
Version:        0.2.0
Release:        2%{?dist}
Summary:        An oddjob helper which applies group policy objects
License:        BSD
URL:            https://github.com/altlinux/oddjob-gpupdate.git
Source0:        https://github.com/altlinux/%{name}/archive/refs/tags/v%{version}/%{name}.%{version}.tar.gz

Patch0:         0001-Use-samba-gpupdate-to-apply-policy.patch
Patch1:         0002-Hardening-to-protect-against-malicous-usernames.patch
Patch2:         0003-execl-requires-the-exe-as-the-first-arg.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  dbus-devel
BuildRequires:  libselinux-devel
BuildRequires:  libxml2-devel
BuildRequires:  oddjob
BuildRequires:  pam-devel
BuildRequires:  xmlto

Requires: oddjob
Requires(post): /bin/dbus-send
Requires(post): psmisc

%description
This package contains the oddjob helper which can be used by the
pam_oddjob_gpupdate module to apply group policy objects at login-time.

%prep
%autosetup -p1


%build
autoreconf -if
%configure \
    --disable-static \
    --enable-pie \
    --enable-now \
    --with-selinux-acls \
    --with-selinux-labels
%make_build


%install
%make_install

rm -f %{buildroot}%{_pam_moduledir}/pam_oddjob_gpupdate.la

%post
if test $1 -eq 1 ; then
    killall -HUP dbus-daemon 2>&1 > /dev/null
fi
if [ -f /var/lock/subsys/oddjobd ] ; then
    /bin/dbus-send --system --dest=com.redhat.oddjob /com/redhat/oddjob com.redhat.oddjob.reload
fi

%files
%license COPYING
%doc src/gpupdatefor src/gpupdateforme
%{_libexecdir}/oddjob/gpupdate
%{_pam_moduledir}/pam_oddjob_gpupdate.so
%{_mandir}/man8/pam_oddjob_gpupdate.8*
%{_mandir}/man5/oddjob-gpupdate.conf.5*
%{_mandir}/man5/oddjobd-gpupdate.conf.5*
%config(noreplace) %{_sysconfdir}/dbus-*/system.d/oddjob-gpupdate.conf
%config(noreplace) %{_sysconfdir}/oddjobd.conf.d/oddjobd-gpupdate.conf

%changelog
* Tue Jun 14 2022 Pavel Filipenský <pfilipen@redhat.com> - 0.2.0-2
- Fix "BuildRequires:  automake"

* Mon May 30 2022 Pavel Filipenský <pave.filipensky@gmail.com> 0.2.0-1
- Initial version of the package
